Permalink
Switch branches/tags
release/0.0.3 gub-release-lilypond-2.15.16-1 gub-release-lilypond-2.15.15-1 gub-release-lilypond-2.15.14-1 gub-release-lilypond-2.15.13-1 gub-release-lilypond-2.15.12-1 gub-release-lilypond-2.15.11-1 gub-release-lilypond-2.15.10-1 gub-release-lilypond-2.15.9-1 gub-release-lilypond-2.15.8-1 gub-release-lilypond-2.15.7-1 gub-release-lilypond-2.15.6-1 gub-release-lilypond-2.15.5-1 gub-release-lilypond-2.15.4-1 gub-release-lilypond-2.15.3-1 gub-release-lilypond-2.15.2-1 gub-release-lilypond-2.15.1-1 gub-release-lilypond-2.15.0-1 gub-release-lilypond-2.14.2-1 gub-release-lilypond-2.14.1-1 gub-release-lilypond-2.14.0-1 gub-release-lilypond-2.13.63-1 gub-release-lilypond-2.13.62-1 gub-release-lilypond-2.13.61-1 gub-release-lilypond-2.13.60-1 gub-release-lilypond-2.13.59-1 gub-release-lilypond-2.13.58-1 gub-release-lilypond-2.13.57-1 gub-release-lilypond-2.13.56-1 gub-release-lilypond-2.13.55-1 gub-release-lilypond-2.13.54-1 gub-release-lilypond-2.13.53-1 gub-release-lilypond-2.13.52-1 gub-release-lilypond-2.13.51-1 gub-release-lilypond-2.13.50-1 gub-release-lilypond-2.13.49-1 gub-release-lilypond-2.13.48-1 gub-release-lilypond-2.13.47-1 gub-release-lilypond-2.13.46-1 gub-release-lilypond-2.13.45-1 gub-release-lilypond-2.13.44-1 gub-release-lilypond-2.13.43-1 gub-release-lilypond-2.13.42-1 gub-release-lilypond-2.13.41-1 gub-release-lilypond-2.13.40-1 gub-release-lilypond-2.13.39-1 gub-release-lilypond-2.13.38-1 gub-release-lilypond-2.13.37-1 gub-release-lilypond-2.13.36-1 gub-release-lilypond-2.13.35-1 gub-release-lilypond-2.13.34-1 gub-release-lilypond-2.13.33-1 gub-release-lilypond-2.13.32-1 gub-release-lilypond-2.13.31-1 gub-release-lilypond-2.13.30-1 gub-release-lilypond-2.13.29-1 gub-release-lilypond-2.13.28-1 gub-release-lilypond-2.13.27-2 gub-release-lilypond-2.13.27-1 gub-release-lilypond-2.13.26-1 gub-release-lilypond-2.13.25-1 gub-release-lilypond-2.13.24-1 gub-release-lilypond-2.13.23-1 gub-release-lilypond-2.13.22-1 gub-release-lilypond-2.13.21-1 gub-release-lilypond-2.13.20-1 gub-release-lilypond-2.13.19-1 gub-release-lilypond-2.13.18-1 gub-release-lilypond-2.13.17-1 gub-release-lilypond-2.13.16-1 gub-release-lilypond-2.13.15-1 gub-release-lilypond-2.13.14-1 gub-release-lilypond-2.13.13-1 gub-release-lilypond-2.13.12-1 gub-release-lilypond-2.13.11-1 gub-release-lilypond-2.13.10-1 gub-release-lilypond-2.13.9-1 gub-release-lilypond-2.13.8-1 gub-release-lilypond-2.13.7-1 gub-release-lilypond-2.13.7-0 gub-release-lilypond-2.13.6-1 gub-release-lilypond-2.13.5-0 gub-release-lilypond-2.13.4-1 gub-release-lilypond-2.12.3-2 gub-release-lilypond-2.12.3-1 build/lilypond-gub/2.12.2-1 build/lilypond-gub/2.12.1-1 build/lilypond-gub/2.12.0-1 build/lilypond-gub/2.11.64-1
Nothing to show
Find file
Fetching contributors…
Cannot retrieve contributors at this time
52 lines (47 sloc) 2.27 KB
from gub import misc
from gub import tools
python = misc.load_spec ('python-' + tools.python_version)
def get_conflict_dict (self):
return {
'': ['python-2.6', 'python-2.4'],
'doc': ['python-2.6-doc', 'python-2.4-doc'],
'devel': ['python-2.6-devel', 'python-2.4-devel'],
'runtime': ['python-2.6-runtime', 'python-2.4-runtime'],
}
def unver (dependencies):
return [x.replace ('python-' + tools.python_version, 'python')
for x in dependencies]
if tools.python_version == '2.4':
class Python (python.Python_2_4):
get_conflict_dict = get_conflict_dict
dependencies = unver (python.Python_2_4.dependencies)
class Python__mingw (python.Python_2_4__mingw):
get_conflict_dict = get_conflict_dict
dependencies = unver (python.Python_2_4__mingw.dependencies)
class Python__linux__ppc (python.Python_2_4__linux__ppc):
get_conflict_dict = get_conflict_dict
dependencies = unver (python.Python_2_4__linux__ppc.dependencies)
class Python__freebsd (python.Python_2_4__freebsd):
get_conflict_dict = get_conflict_dict
dependencies = unver (python.Python_2_4__freebsd.dependencies)
class Python__tools (python.Python_2_4__tools):
get_conflict_dict = get_conflict_dict
dependencies = unver (python.Python_2_4__tools.dependencies)
elif tools.python_version == '2.6':
class Python (python.Python_2_6):
get_conflict_dict = get_conflict_dict
dependencies = unver (python.Python_2_6.dependencies)
class Python__mingw (python.Python_2_6__mingw):
get_conflict_dict = get_conflict_dict
dependencies = unver (python.Python_2_6__mingw.dependencies)
class Python__linux__ppc (python.Python_2_6__linux__ppc):
get_conflict_dict = get_conflict_dict
dependencies = unver (python.Python_2_6__linux__ppc.dependencies)
class Python__freebsd (python.Python_2_6__freebsd):
get_conflict_dict = get_conflict_dict
dependencies = unver (python.Python_2_6__freebsd.dependencies)
class Python__tools (python.Python_2_6__tools):
get_conflict_dict = get_conflict_dict
dependencies = unver (python.Python_2_6__tools.dependencies)
else:
raise Exception ('No such Python version:' + tools.python_version)